#!/bin/sh

. /usr/local/bin/sig_catcher

echo "Resetting Controller Switch..."

/usr/local/bin/switch reset
ret=$?

if [ $ret -eq 0 ] ; then
        echo "Controller Switch has been reset."
else
        echo "ERROR: Controller Switch reset failed."
fi

return $ret

